## developers-reference 3.3.4

=== Makefile ===
# Makefile, used for the DDP manuals.sgml area

MANUAL		:= $(notdir $(shell pwd))
PUBLISHDIR	:= /org/www.debian.org/www/doc/manuals

SOURCES		:= $(wildcard *.sgml)

TARGETS		:= $(foreach fmt,html txt pdf,developers-reference.$(fmt)) \
		     $(filter-out developers-reference.ja.pdf, \
		       $(foreach langext,.ja .fr, \
		         $(foreach fmt,html txt pdf,developers-reference$(langext).$(fmt))))

# programs for creating output
DEBIANDOC2HTML	:= debiandoc2html -c
DEBIANDOC2TEXT	:= debiandoc2text
DEBIANDOC2LATEX	:= debiandoc2latex
DEBIANDOC2PS	:= debiandoc2latexps
DEBIANDOC2PDF	:= debiandoc2latexpdf

make_directory	:= install -d -m 755
install_file	:= install -m 644 -p

MAX_TEX_RECURSION := 5

.PHONY:	all
all:    $(TARGETS)

.PHONY: validate
validate:	$(addsuffix .validate,$(SOURCES))

# hmmm, this rule may need to be revised/tested
publish:	all
	[ -d $(PUBLISHDIR) ] || exit 1
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	$(make_directory) $(PUBLISHDIR)/$(MANUAL)
	$(install_file) developers-reference*.html/*.html	\
	   $(PUBLISHDIR)/$(MANUAL)

developers-reference.html:	developers-reference.sgml
	$(DEBIANDOC2HTML) -l C $<

developers-reference.html/*:	developers-reference.html

developers-reference.%.html:	developers-reference.%.sgml
	$(DEBIANDOC2HTML) -l $* $<

developers-reference.txt:	developers-reference.sgml
	$(DEBIANDOC2TEXT) -l C -O $< > $@

developers-reference.%.txt:	developers-reference.%.sgml
	$(DEBIANDOC2TEXT) -l $* -O $< > $@

developers-reference.tex:	developers-reference.sgml
	$(DEBIANDOC2LATEX) -l C -O $< > $@

developers-reference.%.tex:	developers-reference.%.sgml
	$(DEBIANDOC2LATEX) -l $* -O $< > $@

developers-reference.ps:        developers-reference.sgml
	$(DEBIANDOC2PS) -l C $<

developers-reference.%.ps:      developers-reference.%.sgml
	$(DEBIANDOC2PS) -l $* $<

developers-reference.pdf:       developers-reference.sgml
	$(DEBIANDOC2PDF) -l C $<

developers-reference.%.pdf:     developers-reference.%.sgml
	$(DEBIANDOC2PDF) -l $* $<

version.ent:	debian/changelog
	./debian/rules $@

%.validate : % version.ent
	nsgmls -wall -gues $<
	touch $@

USERMAP	:= ../../ddp/CVSROOT/users
.PHONY: prepare
prepare:	ChangeLog
	cvs ci -m "update for next release" ChangeLog

.PHONY: ChangeLog
ChangeLog:
	@[ -f CVS/Root -a -f $(USERMAP) ] || \
		( echo "usermap file '$(USERMAP)' not found" 1>&2; exit 1 )
	cvs2cl -r --usermap $(USERMAP)

.PHONY: clean
clean:
	rm -rf developers-reference*.html
	rm -f developers-reference*.txt developers-reference*.pdf \
	      developers-reference*.ps developers-reference*.lout* lout.li \
	      developers-reference*.sasp* developers-reference*.tex \
	      developers-reference*.aux developers-reference*.toc \
	      developers-reference*.idx developers-reference*.log \
	      developers-reference*.out developers-reference*.dvi \
	      developers-reference*.tpt
	rm -f version.ent
	rm -f `find . -name "*~" -o -name "*.bak"`
	rm -f *.validate
	rm -f *~ *.bak .#* core

.PHONY: distclean
distclean: clean
	rm -f *.rej *.orig

developers-reference$(SRCEXT).sgml: version.ent common.ent

html: $(MANUAL).html

# if rule bomb out, delete the target
.DELETE_ON_ERROR:

=== debian/changelog ===
developers-reference (3.3.4) unstable; urgency=low

  * Josip Rodin:
    - fixed language in the PTS section, prompted by a patch from
      Romain FRANCOISE, thank you; closes: #197741
    - updated the mailing lists section (again)
    - documented Alioth, somewhat
  * Frdric Bothamy
    - French translation updated to version 3.3.3 (more or less)
    - proofread by Patrice Karatchentzeff
  * Matt Zimmerman
    - Don't upload security updates directly to stable
    - Always include an external reference in security changelog entries
    - Be careful not to re-use a version number in security uploads
    - More explicit instructions about what is appropriate for a security
      upload

  * Adam Di Carlo
    - replace <!entity...> with <!ENTITY...> and other SGML hygenics
    - build refinements
    - Release this package as is to flush changes between June and now.
      Yes, its been an age between releases here, for which I apologize.
      Since CVS upstream for this package is back, I'm working on closing
      bugs in this package now, I just wanted to get it out as is before I
      started.

 -- Adam Di Carlo <aph@debian.org>  Sun, 29 Feb 2004 14:09:48 -0500

developers-reference (3.3.3) unstable; urgency=low

  * Frdric Bothamy
    - corrections by Michel Grentzinger
  * Raphal Hertzog
    - updated documentation concerning the PTS
    - added a paragraph about the PTS web interface
    - documented how to add custom news item in the PTS
  * Matt Zimmerman
    - updates and clarifications to instructions for security bugs
    - deprecate uploads to stable for security fixes, reference
      section on security bugs; closes: #196516
    - use dpkg-buildpackage -B to test binary-arch, not -b;
      closes: #196555
  * Adam Di Carlo
    - Sec "Managing sponsored packages": remove unnecessary 'debsign' cmd;
      closes: #192417
    - fix debconf-devel(7) man page section; closes: #189512
    - Sec "Responding to bugs": mention what FTBFS means; closes: #186605
    - Sec "Distribution directories" renamed "Distributions"
    - Sec "The testing distribution" moved under Sec "Distribution
      directories" and renamed "More information about the testing
      distribution"
    - Secs "Uploads to {stable,testing-proposed-updates}" retitled to make
      it clear these are special cases
    - Sec "Uploading to ftp-master": xref to "Delayed incoming"; 
      closes: #195997
    - check compliance with Policy version 3.5.10

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Jun 2003 04:08:29 -0400

developers-reference (3.3.2) unstable; urgency=low

  * Frdric Bothamy:
    - French translation updated to version 3.3.1
    - proofread by Philippe Batailler and Patrice Karatchentzeff
  * Adam Di Carlo:
    - French translation requires debiandoc-sgml 1.1.76 or better

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Apr 2003 09:48:59 -0400

developers-reference (3.3.1) unstable; urgency=low

  * Josip Rodin:
    - package description said it contained French and Japanese, fixed,
      closes: #182614
    - Sec "Experimental": sources.list entries
    - Sec "Basic rules for [mailing list] use": cosmetic, link to this sec
    - Sec "Handling bugs": retitle and expand section
  * Adam Di Carlo:
    - more improvements to package synopsis and description
    - the synopsis formula changed to either
       <package-name> is a <synopsis>
      or
       <package-name> is <synopsis>
      or
       <package-name> are <synopsis>
      closes: #182956
    - the synopsis itself should not start with an article
    - Sec "Best practices for debian/control": expand intro
    - fix doc-check URL; closes: #187144
    - Sec "Multiple binary packages": fix awkward wording about vim source
      package; closes: #187143

 -- Adam Di Carlo <aph@debian.org>  Fri,  4 Apr 2003 14:26:52 -0500

developers-reference (3.3) unstable; urgency=low

  * Frdric Bothamy:
    - French translation updated to version 3.2.2 (more or less)
    - proofread by Philippe Batailler
  * Raphal Hertzog:
    - added "ddtp" keyword in the PTS documentation
  * Josip Rodin:
    - split out the doc-files per language, closes: #177448
    - shuffled stuff around in the packages chapter
    - added a section describing how to handle large amounts of
      architecture-independent data bundled with programs
    - added best practices on debian/changelog files, based on a patch
      kindly provided by Daniel Kobras, closes: #166388
    - described debdiff and dpkg-depcheck, and linked to them from the
      right places in the document, closes: #172897
    - describe the current practice in writing synopsis lines,
      closes: #174161
  * Adam Di Carlo:
    - update (c) year
    - convert to debhelper (compat mode 4); maintainer scripts no longer
      needed
    - split -ja and -fr versions out into separate packages
    - top-level makefile deletes targets on error; clean is cleaner
    - replace the manual debian/control processing to show the document's
      table of contents (TOC) with a new script 'debian/tocsubstvars';
      note that the TOC displayed in the developers-reference-{fr,ja}
      package descriptions are in English until UTF8 control files are
      allowed; proper escaping of single quotes here requires newest
      debhelper
    - editorial changes on material added in this version
    - reorder "Best Packaging Practices" a bit
    - rework "Best practices for debian/control" based on contributions
      from Colin Walters, Branden Robinson, Sebastian Rittau and others;
      closes: #139957, #108416
    - primary author is developers-reference@packages.debian.org; remove
      emails from other authors to prevent spam and confusion

 -- Adam Di Carlo <aph@debian.org>  Mon, 24 Feb 2003 13:29:07 -0500

developers-reference (3.2.2) unstable; urgency=low

  * Josip Rodin:
    - slightly rewrote and updated links in the mirrors section
  * Adam Di Carlo:
    - Policy compliance checked and updated to 3.5.8, no changes needed


=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.5.10
Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)

Package: developers-reference
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers.  If you are not a Debian
 developer, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The Japanese translation is available in
 developers-reference-ja and the French translation is available in
 developers-reference-fr.

Package: developers-reference-fr
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ja
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in Japanese
 This package contains the Japanese translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

package		:= developers-reference

# directory abstraction
prefix		:= debian/$(package)
docdir		:= $(prefix)/usr/share/doc/$(package)
docbaserel	:= /usr/share/doc-base
docbasedir	:= $(prefix)$(docbaserel)

# list of language packages, in the form pkg-LANG; must jibe
# with debian/control, see also DATE_uc(LANG) below
langs		:= fr ja

# tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# version abstraction
DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
DATE_FR		:= $(shell LC_ALL=fr_FR date --date="$(DEB_DATE)" '+%d %B %Y')
DATE_JA		:= $(shell LC_ALL=ja_JP date --date="$(DEB_DATE)" '+%x')

# debhelper verbose mode
#export DH_VERBOSE=1

version.ent:	debian/changelog
	:> version.ent
	echo "<!ENTITY version \"$(DEB_VERSION)\">" >> version.ent
	echo "<!ENTITY date-en \"$(DATE_EN)\">"     >> version.ent
	echo "<!ENTITY date-fr \"$(DATE_FR)\">"     >> version.ent
	echo "<!ENTITY date-ja \"$(DATE_JA)\">"     >> version.ent

build:
	$(checkdir)
	$(MAKE)
	touch build

.PHONY: clean
clean:
	$(checkdir)
	$(MAKE) clean
	rm -f build
	dh_clean

.PHONY: test
test:
#	 nothing to test ATM

.PHONY: install
install:	build
	$(checkdir)
	$(checkroot)
	dh_clean -k

	dh_installdocs -p$(package) README-contrib developers-reference.txt \
		developers-reference.pdf developers-reference.html/*

#	 we can't make PDFs for japanese, so special handling for that
	touch developers-reference.ja.pdf
	set -e; for lang in $(langs); do \
	    dh_installdocs -p$(package)-$$lang README-contrib developers-reference.$$lang.txt \
		developers-reference.$$lang.pdf developers-reference.$$lang.html/* ;\
	done
	rm -f debian/$(package)-ja/usr/share/doc/$(package)-ja/developers-reference.ja.pdf


.PHONY: binary-indep
binary-indep:	test install
	$(checkdir)
	$(checkroot)
	dh_installdirs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	debian/tocsubstvars -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

#	 some extra-package files
#	$(install_file) developers-reference.pdf			\
#	  ../developers-reference.pdf.$(DEB_VERSION)
#	dpkg-distaddfile -fdebian/files developers-reference.pdf.$(DEB_VERSION) byhand -
#	GZIP=-9 tar czf ../developers-reference.html.tar.gz.$(DEB_VERSION)\
#	  developers-reference.html
#	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz.$(DEB_VERSION)\
#	  byhand -
#	$(install_file) developers-reference.txt			\
#	  ../developers-reference.txt
#	$(compress) ../developers-reference.txt
#	mv ../developers-reference.txt.gz				\
#	  ../developers-reference.txt.gz.$(DEB_VERSION)
#	dpkg-distaddfile -fdebian/files					\
#	  developers-reference.txt.gz.$(DEB_VERSION) byhand -

.PHONY: binary-arch
binary-arch:	build install
#	 There are no architecture-dependent files to be uploaded
#	 generated by this package.

define checkdir
	test -f debian/rules
	test -f developers-reference.sgml
endef

# Below here is fairly generic really

define checkroot
	test `id -u` = 0
endef

.PHONY: binary
binary:		binary-indep binary-arch

#Local variables:
#mode: makefile
#End:

## developers-reference 3.3.5

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 TARGETS		:= $(foreach fmt,html txt pdf,developers-reference.$(fmt)) \
 		     $(filter-out developers-reference.ja.pdf, \
-		       $(foreach langext,.ja .fr, \
-		         $(foreach fmt,html txt pdf,developers-reference$(langext).$(fmt))))
+		       $(foreach langext,.fr, \
+		         $(foreach fmt,html txt,developers-reference$(langext).$(fmt))))
 
 # programs for creating output
 DEBIANDOC2HTML	:= debiandoc2html -c
@@ -22,8 +22,12 @@
 
 MAX_TEX_RECURSION := 5
 
-.PHONY:	all
-all:    $(TARGETS)
+.PHONY:	all dropold
+all:    $(TARGETS) dropold
+
+dropold:
+	-rm -rf developers-reference.ja.html
+
 
 .PHONY: validate
 validate:	$(addsuffix .validate,$(SOURCES))

=== debian/changelog ===
developers-reference (3.3.5) unstable; urgency=low

  * Andreas Barth
    - uploads to more than one dist are not possible.
    - updated upload queues. Closes: #235213
    - updated URL of vanilla rules files. Closes: #237557, #252048
    - please speak with stable RM before uploading to stable. Closes: #261464
    - information on wnpp usage synced with wnpp. Closes: #255298
    - spelling, grammer fixes.
      Closes: #202444, #202499, #203202, #203378, #221902, #226208
    - add hint about partitial key id. Closes: #243968
    - spohr is restriced, and also ftp-master. Closes: #255814
    - bpp: Hint about locale generation as non-root. Closes: #208021
    - bpp: deborphan-compliant transition packages. Closes: #183654
    - add myself to uploaders.
    - add chapter about i10n. Closes: #208156
    - add information about dchroot. Closes: #211845
    - add information about NEWS.Debian. Closes: #212402
    - add information about mia-database. Closes: #213961
    - add link to debian-mentors FAQ.
    - add verbose information about the package description. Closes: #214792
    - add hint about -v<version> to experimental. Closes: #232930
    - update information about yada. Closes: #217956
    - urgency is sticky. Closes: #261914
    - updated information about testing distribution. Closes: #266649.
    - rewrote the NMU section, and
      + made the possible severities of "target bugs" clearer. Closes: #233088.
      + mention QA uploads. Closes: #202416.
      + add -B for binNMUs, and local debsign usage. Closes: #208839.
      + warning about breaking all-packages by binNMU. Closes: #213348.
    - add information about gpg usage. Closes: #175815.
    - make key replacement instructions more details. Closes: #275921
    - typo and language fixes. Thanks, Era Eriksson. Closes: #277576
    - add hints about debconf templates from Christian Perrier.
  * Matt Zimmerman
    - Security uploads get urgency=high
    - Be even more explicit about not uploading security updates
  * Frdric Bothamy
    - French translation updated to version 3.3.5

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 22 Nov 2004 19:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>
+Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>, Andreas Barth <aba@not.so.argh.org>
 Standards-Version: 3.5.10
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
 
@@ -39,18 +39,3 @@
  Table of Contents (in English):
  .
  ${TOC:en}
-
-Package: developers-reference-ja
-Architecture: all
-Recommends: debian-policy
-Suggests: doc-base
-Description: guidelines and information for Debian developers, in Japanese
- This package contains the Japanese translation of Debian Developer's
- Reference (package: developers-reference), a set of guidelines and
- best practices which has been established by and for the community of
- Debian developers.  If you are not a Debian developer, you probably
- do not need this package.
- .
- Table of Contents (in English):
- .
- ${TOC:en}

## developers-reference 3.3.6

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 DEBIANDOC2LATEX	:= debiandoc2latex
 DEBIANDOC2PS	:= debiandoc2latexps
 DEBIANDOC2PDF	:= debiandoc2latexpdf
+
+htmllink	:= echo "<!entity % htmltext \"INCLUDE\">" > dynamic.ent
+nohtmllink	:= echo "<!entity % htmltext \"IGNORE\">" > dynamic.ent
 
 make_directory	:= install -d -m 755
 install_file	:= install -m 644 -p
@@ -37,39 +40,49 @@
 	[ -d $(PUBLISHDIR) ] || exit 1
 	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
 	$(make_directory) $(PUBLISHDIR)/$(MANUAL)
-	$(install_file) developers-reference*.html/*.html	\
+	$(install_file) developers-reference*.html/*.html developers-reference*pdf	\
 	   $(PUBLISHDIR)/$(MANUAL)
 
 developers-reference.html:	developers-reference.sgml
-	$(DEBIANDOC2HTML) -l C $<
+	$(htmllink)
+	$(DEBIANDOC2HTML) -l en $<
 
 developers-reference.html/*:	developers-reference.html
 
 developers-reference.%.html:	developers-reference.%.sgml
+	$(htmllink)
 	$(DEBIANDOC2HTML) -l $* $<
 
 developers-reference.txt:	developers-reference.sgml
-	$(DEBIANDOC2TEXT) -l C -O $< > $@
+	$(nohtmllink)
+	$(DEBIANDOC2TEXT) -l en -O $< > $@
 
 developers-reference.%.txt:	developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2TEXT) -l $* -O $< > $@
 
 developers-reference.tex:	developers-reference.sgml
-	$(DEBIANDOC2LATEX) -l C -O $< > $@
+	$(nohtmllink)
+	$(DEBIANDOC2LATEX) -l en -O $< > $@
 
 developers-reference.%.tex:	developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2LATEX) -l $* -O $< > $@
 
 developers-reference.ps:        developers-reference.sgml
-	$(DEBIANDOC2PS) -l C $<
+	$(nohtmllink)
+	$(DEBIANDOC2PS) -l en $<
 
 developers-reference.%.ps:      developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2PS) -l $* $<
 
 developers-reference.pdf:       developers-reference.sgml
-	$(DEBIANDOC2PDF) -l C $<
+	$(nohtmllink)
+	$(DEBIANDOC2PDF) -l en $<
 
 developers-reference.%.pdf:     developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2PDF) -l $* $<
 
 version.ent:	debian/changelog

=== debian/changelog ===
developers-reference (3.3.6) unstable; urgency=low

  * Andreas Barth
    - closes: and NMUs/experimental uploads. Closes: #284714
    - madison is on merkel.
    - more gender-neutral. Closes: #290583, #290584, #263114
    - explain current incoming. Closes: #290019
    - remove broken sponsoring URL. Closes: #291698
    - add handling hints about orig.tar.gz. Thanks, Frank. Closes: #278524
    - duplicate bug reports should be merged. Closes: #285381
    - if you're on vacation, please check whether someone needs keysigning.
      Closes: #285458
    - freenode has developer cloacks. Closes: #285687
    - cleaned up uploaders / maintainer field
    - explain how dak detects NMUs. Closes: #292354
    - add "mass" to lots of bugs. Closes: #292946
    - sync NM rules with reality.
  * Frdric Bothamy
    - French translation updated to version 3.3.6

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 23 Jan 2005 16:08:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: developers-reference
 Section: doc
 Priority: optional
-Maintainer: Adam Di Carlo <aph@debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>, Andreas Barth <aba@not.so.argh.org>
+Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
+Uploaders: Andreas Barth <aba@not.so.argh.org>
 Standards-Version: 3.5.10
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
 
@@ -21,8 +21,7 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The Japanese translation is available in
- developers-reference-ja and the French translation is available in
+ Reference.  The French translation is available in
  developers-reference-fr.
 
 Package: developers-reference-fr

## developers-reference 3.3.7

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(make_directory) $(PUBLISHDIR)/$(MANUAL)
 	$(install_file) developers-reference*.html/*.html developers-reference*pdf	\
 	   $(PUBLISHDIR)/$(MANUAL)
+	ln -sf index.en.html $(PUBLISHDIR)/$(MANUAL)/index.html
 
 developers-reference.html:	developers-reference.sgml
 	$(htmllink)

=== debian/changelog ===
developers-reference (3.3.7) unstable; urgency=low

  * Andreas Barth:
    - adjust information about distributions with reality.
    - add note on alioth accounts. Thanks, Phillip Kern. Closes: #306630
    - correct manpage section of dpkg-scanpackages. Closes: #297069
    - fix RFC 2440 URL. Closes: #308103
    - add $arch@buildd information. Closes: #295483
    - link to keyring.d.o for key replacement. Thanks, Martin Michlmayr.
      Closes: #298016
    - add information about Packages-arch-specific. Thanks, Frank Küster.
      Closes: #302000
    - add hint about LWN subscription. Thanks, Martin Michlmayr.
      Closes: #299217
    - more about debconf-style translation. Thanks, Christian Perrier.
      Closes: #309502
    - non-us discontinued.
    - document nmu changes wrt version tracking. Thanks, Justin Pryzby.
      Closes: #341197
    - fix spelling issues. Thanks to various people.
      Closes: #336146, #326857, #338660
    - update menu policy helpers. Thanks, Florian Ernst. Closes: #340024
    - send mia-mail to mia@qa. Thanks, Adam D. Barratt. Closes: #341568
    - Joerg Jaspert is now freenode contact. Closes: #344303
    - give a clearer description of the gpg v4-key issues. Thanks,
      Martin Michlmayr and Peter Palfrader. Closes: #317411
    - more verbose about Homepage. Closes: #339826
    - add sarge and etch. Closes: #327682
    - document severity of RoM-request bugs. Closes: #305947
    - update FSF address. Closes: #334820
    - fix P-a-s link. Closes: #341195
    - reflect binNMU changes. Closes: #349493
    - new security upload queue. Closes: #352749
    - fix experimental's sources.list entry. Closes: #347229
    - remove deprecated "Closes:..." to ACK NMU bug fixes. Closes: #353447
    - when resigning, gpg-sign your mail. Closes: #348160
    - make pristine source and repackaged origtargz anchors work.
      Closes: #351255
    - same number of RC bugs is ok. Closes: #351944
    - dpkg-source doesn't keep permissions. Thanks, Enrico Zini.
      Closes: #306120
    - also mention aspell. Closes: #320981

  * Frédéric Bothamy
    - French translation updated to version 3.3.7, proofread by Bernard Adrian
  
 -- Andreas Barth <aba@not.so.argh.org>  Sun, 09 Apr 2006 11:31:52 -0600

## developers-reference 3.3.8

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 
 SOURCES		:= $(wildcard *.sgml)
 
+LANGS           := fr
 TARGETS		:= $(foreach fmt,html txt pdf,developers-reference.$(fmt)) \
-		     $(filter-out developers-reference.ja.pdf, \
-		       $(foreach langext,.fr, \
-		         $(foreach fmt,html txt,developers-reference$(langext).$(fmt))))
+		     $(foreach langext,$(LANGS), \
+		       $(foreach fmt,html txt pdf,developers-reference.$(langext).$(fmt)))
 
 # programs for creating output
 DEBIANDOC2HTML	:= debiandoc2html -c
@@ -26,11 +26,7 @@
 MAX_TEX_RECURSION := 5
 
 .PHONY:	all dropold
-all:    $(TARGETS) dropold
-
-dropold:
-	-rm -rf developers-reference.ja.html
-
+all:    $(TARGETS)
 
 .PHONY: validate
 validate:	$(addsuffix .validate,$(SOURCES))

=== debian/changelog ===
developers-reference (3.3.8) unstable; urgency=low

  * mia-history is replaced by mia-query. Thanks, Christoph Berg.
    Closes: #350792
  * fix missing quite. Thanks, Frank Küster. Closes: #365994
  * use gnugp instead of gpg. Thanks, Justin Pryzby, Jon Dowland.
    Closes: #376411
  * better destinction between maintainer and developer. Thanks for
    the suggestion to Colin Tuckley. Closes: #380458
  * irc.d.o points to oftc. Thanks, Christoph Biedl, Jon Dowland.
    Closes: #382721
  * Bugs are now always closed thanks to version tracking.
    Closes: #339552, #353447, #376199
  * Clarify what "a conflicts b" means in testing migration. 
    Closes: #361311
  * Packages in testing disappear if they're removed from unstable.
    Thanks, Frank Küster, Al Stone. Closes: #365993
  * Document only the most recent changelog entry is used. Thanks
    to Kevin Glynn to the suggestion. Closes: #374738
  * Add more tools for reverse depends. Close: #376582
  * delayed-queue on gluck is uploaded more often now. Closes: #397907
  * stop using capitals, minor fixes, language fixes.
    Thanks, Thijs Kinkhorst, Colin Tuckley, Russ Allbery.
    Closes: #368046, #378929, #361744
  * add CVE Ids to your changelog. Closes: #376961
  * add reasoning why debconf questions shouldn't be longer than
    20 lines. Thanks, Thijs Kinkhorst, Christian Perrier, Russ Allbery.
    Closes: #382477
  * section changing needs re-uploading orig.tar.gz.
    Thanks, Adam D. Barratt. Closes: #387154
  * binary files in diffs could be en/decoded with perl.
    Thanks, Frank Küster. Closes: #397786
  * Add pointer to new-reject-FAQ. Closes: #324967
  * Hint to dd-list/whodepends. Closes: #353874
  * Don't use too generic mail ids. Closes: #355725
  * pts/summary is actually used. Thanks, Holger Levsen. Closes: #387108
  * clarify that one should append the NMU-diff to a bug. Closes: #394033
  * more detailed instructions on binary package removals.
    Closes: #356643

  * Frédéric Bothamy
    - French translation updated to version 3.3.8

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 11 Nov 2006 10:55:44 -0700

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,12 @@
 
 # list of language packages, in the form pkg-LANG; must jibe
 # with debian/control, see also DATE_uc(LANG) below
-langs		:= fr ja
+langs		:= fr
 
 # tool abstraction
 install_file	:= install -o root -g root -m 644 -p
 install_script	:= install -o root -g root -m 755 -p
 make_directory	:= install -d -o root -g root -m 755
-compress	:= gzip -9f
 
 # version abstraction
 DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
@@ -62,13 +61,10 @@
 	dh_installdocs -p$(package) README-contrib developers-reference.txt \
 		developers-reference.pdf developers-reference.html/*
 
-#	 we can't make PDFs for japanese, so special handling for that
-	touch developers-reference.ja.pdf
 	set -e; for lang in $(langs); do \
 	    dh_installdocs -p$(package)-$$lang README-contrib developers-reference.$$lang.txt \
-		developers-reference.$$lang.pdf developers-reference.$$lang.html/* ;\
+		developers-reference.$$lang.html/* ;\
 	done
-	rm -f debian/$(package)-ja/usr/share/doc/$(package)-ja/developers-reference.ja.pdf
 
 
 .PHONY: binary-indep
@@ -77,7 +73,7 @@
 	$(checkroot)
 	dh_installdirs -i
 	dh_installchangelogs -i
-	dh_compress -i
+	dh_compress -i -X.pdf
 	dh_fixperms -i
 	debian/tocsubstvars -i
 	dh_installdeb -i
@@ -85,21 +81,6 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-#	 some extra-package files
-#	$(install_file) developers-reference.pdf			\
-#	  ../developers-reference.pdf.$(DEB_VERSION)
-#	dpkg-distaddfile -fdebian/files developers-reference.pdf.$(DEB_VERSION) byhand -
-#	GZIP=-9 tar czf ../developers-reference.html.tar.gz.$(DEB_VERSION)\
-#	  developers-reference.html
-#	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz.$(DEB_VERSION)\
-#	  byhand -
-#	$(install_file) developers-reference.txt			\
-#	  ../developers-reference.txt
-#	$(compress) ../developers-reference.txt
-#	mv ../developers-reference.txt.gz				\
-#	  ../developers-reference.txt.gz.$(DEB_VERSION)
-#	dpkg-distaddfile -fdebian/files					\
-#	  developers-reference.txt.gz.$(DEB_VERSION) byhand -
 
 .PHONY: binary-arch
 binary-arch:	build install

## developers-reference 3.4.0

=== Makefile ===
# Makefile, used for the developers-reference in DocBook XML

# Note: This Makefile should work perfectly without the debian/ directory.

SOURCES		:= $(wildcard *.dbk) common.ent version.ent

FORMATS		:= html txt pdf
LANGS           := fr ja
TARGETS		:= $(foreach fmt,$(FORMATS),developers-reference.$(fmt)) \
		   $(foreach lng,$(LANGS), \
		       $(foreach fmt,$(FORMATS), \
		           $(lng)/developers-reference.$(fmt)))
# list of targets, that currently cannot build
BLACKLIST	:= ja/developers-reference.pdf

# hopefully overwritten by caller, e.g. debian/rules
VERSION=unknown
PUBDATE=unknown

# programs for creating output
XP=xsltproc --nonet --novalid --xinclude
XL=xmllint --nonet --noout --postvalid --xinclude
# dblatex 0.2.8 has some problems (e.g. #465221 and Japanese does
# not build)
# Alternatives:
# - docbook2pdf (seems to die on UTF-8, #431085); and
# - fop is currently in contrib, but can go to main, see #366783
# - xmlroff (not mature enough, #182445)
DBLATEX=dblatex --style=db2latex
# The "--keep 0" should be removed as soon as the translations are ready
TRANSLATE=po4a-translate --format docbook --keep 0

# XSL files and parameters
# note: the URL is used as identifier, no HTTP is used!
DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
# for HTML output
DBK2HTML=$(CURDIR)/html.xsl
# all in one file for text output
DBK2HTML1=$(CURDIR)/txt.xsl

.PHONY:	all
all:    $(filter-out $(BLACKLIST), $(TARGETS))

.PHONY: validate
validate:			$(SOURCES)
	$(XL) index.dbk

%/validate:			$(addprefix %/,$(SOURCES))
	cd $(@D) && $(XL) index.dbk

.PHONY: developers-reference.html %/developers-reference.html
developers-reference.html:	$(CURDIR)/index.html
%/developers-reference.html:	$(addprefix %/,index.html)
	@true

.PRECIOUS:			%/index.html
index.html:			$(CURDIR)/developers-reference.html
%/index.html:			$(addprefix %/,$(SOURCES))
	cd $(@D) && $(XP) $(DBK2HTML) index.dbk

# There must be an easier way than recursive make!
.PRECIOUS:		%.dbk %.ent
ifndef LINGUA
%.dbk %.ent: FORCE
	$(MAKE) $@ LINGUA=`basename $(@D)`

FORCE:
else
$(LINGUA)/%.dbk:	%.dbk $(patsubst %.dbk,po4a/$(LINGUA)/%.po,%.dbk)
	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@

$(LINGUA)/common.ent:	common.ent
	cd $(@D) && ln -sf ../$(@F) .
endif

developers-reference.txt:	$(CURDIR)/developers-reference.txt
%/developers-reference.txt:	$(addprefix %/,$(SOURCES))
	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
	    | w3m -cols 65 -dump -T text/html > $@

developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
%/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
	TOP=`pwd` && cd $(@D) && $(DBLATEX) index.dbk \
	    && mv index.dbk.pdf $(@F)

.PHONY: pot
pot:				$(patsubst %.dbk,po4a/po/%.pot,$(SOURCES))
po4a/po/%.pot:			%.dbk
	po4a-gettextize --format docbook --master $< --po $@

ifdef LINGUA
.PHONY: updatepo
updatepo:			$(patsubst %.dbk,po4a/$(LINGUA)/%.po,$(SOURCES))
po4a/$(LINGUA)/%.po:		%.dbk
	po4a-updatepo --format docbook --master $< --po $@
endif

%/version.ent:
	echo '<!ENTITY version "$(VERSION)">' >  $@
	echo '<!ENTITY pubdate "$(PUBDATE)">' >> $@

.PHONY: clean
clean:
	rm -f *.fo *.html *.pdf *.txt
	for L in $(LANGS); do rm -rf `basename ./"$$L"/`; done
	rm -f version.ent
	rm -f `find . -name "*~" -o -name "*.bak"`
	rm -f *~ *.bak .#* core

.PHONY: distclean
distclean: clean
	rm -f *.rej *.orig

# if rule bomb out, delete the target
.DELETE_ON_ERROR:

=== debian/changelog ===
developers-reference (3.4.0) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Update Vcs-* fields after DDP's SVN restructuring. Closes: #483428.
  * Fix conditions for updates from unstable to testing. Closes: #470754.
  * linda has been removed. Remove section A.2.2. Closes: #483242.
  * Co-maintainers are listed in the Uploaders field. Closes: #483230.
  * Collaborative Maintenance: the 'global part' of debian/control
    is the first paragraph, about the source package. Closes: #483231.
  * debian-private archives are on master. Closes: #475531.
  * Mention Debian Maintainers and the debian-maintainers package.
    Closes: #483225.
  * README.contrib: document that short lines are preferred.
    Closes: #278267.
  * build-rdeps allows to list reverse build-dependencies.
    Closes: #376582.

  [ Marc 'HE' Brockschmidt ]
  * Replace abused <emphasis> tags with <literal> tags.
  * In the same spirit, wrap all uses of stable/testing/unstable and
    release codenames in <literal>
  * Remove reference to upload queue on auric in section 5.6.5, auric
    doesn't exist anymore.
  * Fix several typesetting errors and typos noticed by Sandro Tosi,
    thanks for the notes! Closes: #483223
  * Update several bits about release management/testing transitions
    and release-critical bugs. Closes: #483237, #456494
  * Update and rewrite the porting guidelines in chapter 5, bringing
    the dev-ref up to the state of porting in the year 2008. Also
    fixes several wording issues, such as possible misunderstandings
    about the need to rebuild uploads. Closes: #483226
  * Update the instructions for uploads to the (old)stable 
    distributions. Emphasize the importance of contacting the SRM
    team before upload. Closes: #459343
  * Update instructions for package removal requests. Closes: #454216
  * Clarify instructions for bug reassignment, emphasizing the
    need to inform the maintainers you reassign the bug to. Also
    hint to using cloned bugs to avoid re-reporting. Heavily based
    on patch by Marc Haber - thanks for the work! Closes: #484806
  * Clarify instructions for replacing/renaming binary packages,
    pointing out that using Provides is sometimes advisable. Closes:
    #467102
  * Update description of the madison tool (by replacing it with a
    description of the dak ls tool). Update the example while we're
    at it.
  * Update explanation of best practice for closing bugs, seems to
    have been forgotten when everything was upgraded to use
    debbugs version-tracking. Closes: #485969
  * Clarify ITP instructions and emphasize our wish that people send
    ITPs, explaining a few of the reasons. Thanks for the note,
    Thomas. Closes: #485837
  * debian/control:
     + Update Uploaders to include Lucas, Raphael and me.
     + Bump Standards-Version to 3.8.0. No changes needed!

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 13 Jun 2008 13:45:49 +0200

developers-reference (3.3.9) unstable; urgency=low

  [ Andreas Barth ]
  * Packaging changes:
    - bump standards-version to 3.7.3 (no change)
    - fix debian/copyright
    - move debhelper to Build-Depends.
    - add pdf for French version.
  * Document changes to stable release management. Closes: #414291
  * Debconf error templates no longer discouraged. Thanks,
    Christian Perrier. Closes: #427832
  * Keyring now uses RT. Closes: #428846
  * Document -dbg-packages within BPs. Thanks, Joey Hess. Closes: #420540
  * NMUs now also close bugs. Thanks, Lucas Nussbaum. Closes: #419507
  * Fix documentation about gender neutral. Closes: #384178
  * Fix typo. Closes: #405453
  * More details on how to write documentation. Thanks, Josh Triplett.
    Closes: #422750
  * Add XS-Vcs-*. Thanks to Stefano Zacchiroli. Closes: #391023
  * Small brushup to debconf description. Thanks, Thomas Huriaux.
    Closes: #401415
  * Document Team-Maintainence better. Thanks, Lucas Nussbaum.
    Closes: #410159
  * Add link to more removal ressources. Thanks, Adam D. Barratt,
    Justin Pryzby. Closes: #412757, #356720
  * Repacking source packages need to be documented in copyright.
    Thanks, Russ Allbery. Closes: #413320
  * Better describe version of debian native packages NMUs. Closes: #405818
  * Source, HTML and text are now encoded in UTF-8. Thanks, Jörg Sommer.
    Closes: #373816
  * Source is now DocBook XML instead of debiandoc. Closes: #374220

  [ Raphael Hertzog ]
  * Add a link to enrico's excellent Debian Community Guidelines.
  * Recommend the use of DSA's request tracker instead of mailing them.
  * Remove reference to #debian-sf, #debian-bsd which don't exist anymore. Put
    a reference to #debian-dpkg instead.
  * Remove all stuff concerning non-US.
  * Update information concerning Alioth.
  * Update information concerning the Package Tracking System.
  * Mention Alioth as the main resource for VCS repositories and deprecate
    cvs.debian.org.
  * Remove XS- prefix for Vcs-* fields since dpkg now supports them.
  * Document the Homepage field. Thanks, Christian Perrier. Closes:
    #445642
  * Add Vcs-Svn and Vcs-Browser fields pointing to the new SVN
    repository.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Feb 2008 10:16:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
-Uploaders: Andreas Barth <aba@not.so.argh.org>
-Standards-Version: 3.5.10
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
+Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphael Hertzog <hertzog@debian.org>
+Standards-Version: 3.8.0
+Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
+Build-Depends: debhelper (>= 4.1.32)
+Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
+Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log
 
 Package: developers-reference
 Architecture: all

## developers-reference 3.4.1

=== debian/changelog ===
developers-reference (3.4.1) unstable; urgency=low

  [ Raphael Hertzog ]
  * Create a publish target in the Makefile to reenable builds on the
    website.

  [ Lucas Nussbaum ]
  * Commited DEP1: rework the whole NMU section.
    The most important changes are:
    + NMUs are now explicitely allowed for all bugs, not just "serious bugs".
    + It is recommended to use the DELAYED queue, and some example delays are
      provided.
    Other fixes:
    + Describe the process of acknowleding NMUs in a way that works
      with the BTS's version-tracking. Closes: #480723.
    + No longer mention that only DDs can do NMU. Don't make any
      distinction. Closes: #464230.
    + Switch to +nmu for NMU versioning. Closes: #437392.
    + Mention nmudiff. Closes: #483227.
  * Mention docbook-xml, and that debiandoc-sgml is deprecated. Thanks to
    W. Martin Borgert for the patch. Closes: #485689.
  * Fixed typo and example in the blurb about debug packages.
    Thanks to Theppitak Karoonboonyanan for the patch.
    Closes: #487664.
  * Update instructions on the delayed queue.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512529.
  * Clarify wording about repackaged .orig.tar.gz.
    Thanks to Cyril Brulebois for the patch.
    Closes: #492661.
  * Improved README.contrib. Mention command to checkout the SVN
    version. Thanks to Christine Spang for the patch.
    Closes: #500371.
  * Document usertags. Thanks to Chris Lamb for the patch.
    Closes: #367876.
  * Updated documentation on translation updates.
    Thanks to Christian Perrier for the patch.
    Closes: #474879.
  * Update instructions on handling of security issues.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512620, #510783.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 23 Jan 2009 09:57:54 +0100

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

package		:= developers-reference

# directory abstraction
prefix		:= debian/$(package)
docdir		:= $(prefix)/usr/share/doc/$(package)
docbaserel	:= /usr/share/doc-base
docbasedir	:= $(prefix)$(docbaserel)

# list of language packages, in the form pkg-LANG; must jibe
# with debian/control
langs		:= fr

# tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755

# version abstraction
DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
PUBDATE		:= $(shell LC_ALL=C date --date="$(DEB_DATE)" -I)

# debhelper verbose mode
#export DH_VERBOSE=1

build:
	$(checkdir)
	rm -f version.ent
	$(MAKE) VERSION=$(DEB_VERSION) PUBDATE=$(PUBDATE) LANGS="$(langs)"
	touch build

.PHONY: clean
clean:
	$(checkdir)
	$(MAKE) clean
	rm -f build
	dh_clean

.PHONY: test
test:
#	 nothing to test ATM

.PHONY: install
install:	build
	$(checkdir)
	$(checkroot)
	dh_clean -k

	dh_installdocs -p$(package) README-contrib \
	    *.html \
	    developers-reference.txt \
	    developers-reference.pdf

	set -e; for lang in $(langs); do \
	    dh_installdocs -p$(package)-$$lang README-contrib \
	        $$lang/*.html \
	        $$lang/developers-reference.txt \
		$$lang/developers-reference.pdf; \
	done


.PHONY: binary-indep
binary-indep:	test install
	$(checkdir)
	$(checkroot)
	dh_installdirs -i
	dh_installchangelogs -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	debian/tocsubstvars -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


.PHONY: binary-arch
binary-arch:	build install
#	 There are no architecture-dependent files to be uploaded
#	 generated by this package.

define checkdir
	test -f debian/rules
	test -f index.dbk
endef

# Below here is fairly generic really

define checkroot
	test `id -u` = 0
endef

.PHONY: binary
binary:		binary-indep binary-arch
